/*
 * file sinich_param.h
 * 
 * date 2006
 *	need "sinich_common.h"
 */
#ifndef __SINICH_PARAM_H
#define __SINICH_PARAM_H


#define SINICH_PCM_CAPTURE					0
#define SINICH_PCM_PLAYBACK   			 	1
#define SINICH_SYSTEM_WR					4
#define SINICH_POLLING_ST					5
#define SINICH_PCM_START					6
#define SINICH_PCM_STOP						7


#define SINICH_FIFO_NOT_READY				0
#define	SINICH_FIFO_PCM_READ_READY			0x00000001
#define SINICH_FIFO_PCM_WRITE_READY			0x00000100
#define SINICH_FIFO_IO_READ_READY			0x00010000
#define SINICH_FIFO_IO_WRITE_READY			0x01000000

#define SINICH_SYS_WAIT_MODE0				0
#define SINICH_SYS_WAIT_MODE1				1

#define SINICH_STATUS_POLLING_NONBLOCK		0
#define SINICH_STATUS_POLLING_BLOCK			1


// Vendor Request Definition for ichiro
#define VR_NAKALL_ON						0xD0
#define VR_NAKALL_OFF						0xD1

#define VR_SET_SAMPLE_RATE					0x80
#define VR_GET_SAMPLE_RATE					0x81
#define VR_START_ITRANSFER					0x82
#define VR_STOP_ITRANSFER					0x83
#define VR_START_OTRANSFER					0x84
#define VR_STOP_OTRANSFER					0x85
#define VR_SET_FPGA_DATA					0x86
#define VR_GET_FPGA_DATA					0x87
#define VR_ALLEP_START						0x88
#define VR_ALLEP_STOP						0x89
#define VR_START_INTERRUPT					0x8A
#define VR_STOP_INTERRUPT					0x8B


#ifdef _LINUX_DEF_ // #0
#define SINICH_COM_SYS_ACT_INFO				0xA0
#define SINICH_COM_SYS_START				0xA1
#define SINICH_COM_SYS_STOP					0xA2
#define SINICH_COM_SYS_STATUS				0xA3
#define SINICH_COM_PCM_CTL					0xA6
#define SINICH_COM_PCM_SET_CODEC			0xA8
#define SINICH_COM_PCM_GET_CODEC			0xA9

#define SINICH_COM_PCM_WRITE				0xAA
#define SINICH_COM_PCM_READ					0xAB

#define SINICH_COM_PCM_BLKIN				0xAE
#define SINICH_COM_PCM_BLKOUT				0xAF

#define SINICH_COM_SYS_GET_CODEC_CTL			0xB0
#define SINICH_COM_SYS_SET_CODEC_CTL			0xB1
#define SINICH_COM_SYS_GET_FPGA_VERSION			0xB2
#define SINICH_COM_SYS_GET_DRIVER_VERSION		0xB3
#define SINICH_COM_SYS_GET_USB_DEVICE_DESCRIPTOR	0xB4

#else // #ifdef _LINUX_DEF_ // #0
#define Tdbdusb_IOCTL_INDEX  0x0800


#define IOCTL_Tdbdusb_GET_PIPE_INFO     CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+0,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_GET_DEVICE_DESCRIPTOR CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+1,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_GET_CONFIGURATION_DESCRIPTOR CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+2,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_VENDOR_REQUEST              CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+5,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_GET_CURRENT_CONFIG          CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+6,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_ANCHOR_DOWNLOAD             CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+7,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_TDBDUSB_ANCHOR_DOWNLOAD   CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+27,\
                                                   METHOD_IN_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_RESET  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+12,\
                                                   METHOD_IN_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_RESETPIPE  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+13,\
                                                   METHOD_IN_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_ABORTPIPE  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+15,\
                                                   METHOD_IN_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_SETINTERFACE  CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+16,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_GET_STRING_DESCRIPTOR CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+17,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_GET_DRIVER_VERSION   CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+29,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_SET_FEATURE         CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+33,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_PREPARE             CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+100,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_BULK_IN             CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+102,\
                                                   METHOD_OUT_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_BULK_OUT            CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+103,\
                                                   METHOD_IN_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_Tdbdusb_GET_LAST_ERROR   CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   Tdbdusb_IOCTL_INDEX+23,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#endif // #ifdef _LINUX_DEF_ // #0


#endif /* __SINICH_PARAM_H */
